> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wander-app.fr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get performer events

> Get performer's whole informations and the events in which they take part. You can use it to create a page for the performer.



## OpenAPI

````yaml api-reference/openapi.json get /v2/performer/{performerId}
openapi: 3.1.0
info:
  title: Wander - API partners
  description: >-
    This API, developed by Wander, allows partner applications to access
    Wander's event data. Authentication, provided by the Wander team, is
    required to use this API. If you are interested in utilizing this API,
    please contact us at: support-api@wander-app.fr.


    **Last update: 2025-03-03**
  termsOfService: https://wander-app.fr/api/terms-of-use
  contact:
    email: support-api@wander-app.fr
  version: 1.0.0
servers:
  - url: https://www.wander-service.fr/api/clients
security: []
tags:
  - name: Clients' login
    description: It requires a clientId & clientSecret or a refreshToken
  - name: Direct Event Data Serving
    description: It requires a client's accessToken
  - name: Event Data Fetching and Storage
    description: It requires a client's accessToken
  - name: Client Data
    description: It requires a client's accessToken
paths:
  /v2/performer/{performerId}:
    get:
      tags:
        - Direct Event Data Serving
      summary: Get performer events
      description: >-
        Get performer's whole informations and the events in which they take
        part. You can use it to create a page for the performer.
      parameters:
        - name: performerId
          in: path
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                description: Performer object
                type: object
                properties:
                  id:
                    type: integer
                    format: int64
                    examples:
                      - 300000
                  name:
                    type: string
                    examples:
                      - PLK
                  image:
                    type:
                      - string
                      - 'null'
                  squareImage:
                    type:
                      - string
                      - 'null'
                  rectangleImage:
                    type:
                      - string
                      - 'null'
                  webImage:
                    type:
                      - string
                      - 'null'
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        wanderId:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        wanderLink:
                          type: string
                          examples:
                            - >-
                              https://wander-app.fr/event/100000-plk-en-concert-accor-arena
                          description: Link to the event in the Wander app
                        name:
                          type: string
                          examples:
                            - PLK en concert
                        startDate:
                          type: string
                          examples:
                            - 2024-03-03 06:08:23.222 +0100
                        endDate:
                          type: string
                          examples:
                            - 2024-03-04 06:08:23.222 +0100
                        hasEndDateNotReliable:
                          type: boolean
                        lowestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The lowest price for the event in euros. If it's
                            null, we don't know the price.
                          examples:
                            - 0
                        highestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The highest price for the event in euros. If it's
                            null, we don't know the price.
                          examples:
                            - 200
                        description:
                          type: string
                          examples:
                            - Un super concert de PLK à l'accor arena !
                        hasGoodDeal:
                          description: >-
                            This attribute is a boolean which is set to ‘true’
                            when a good deal on the event is identified during
                            integration (discount, early bird ticket,
                            preferential rate, etc.). One of the sources has
                            'isGoodDeal' set to true.
                          type: boolean
                        image:
                          type:
                            - string
                            - 'null'
                        imageHeight:
                          type:
                            - number
                            - 'null'
                        imageWidth:
                          type:
                            - number
                            - 'null'
                        squareImage:
                          type:
                            - string
                            - 'null'
                        rectangleImage:
                          type:
                            - string
                            - 'null'
                        webImage:
                          description: This is the image compressed.
                          type:
                            - string
                            - 'null'
                        notAvailableAt:
                          type:
                            - string
                            - 'null'
                          description: >-
                            This is the date on which the event became
                            unavailable. Either because all the places have been
                            sold or because there is no more availability.
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        cancelledAt:
                          type:
                            - string
                            - 'null'
                          description: This is the date on which the event was cancelled.
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        createdAt:
                          type: string
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        updatedAt:
                          type: string
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        googlePlace:
                          description: >-
                            Contains enriched place information retrieved from
                            the Google Places API.
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                              examples:
                                - ChIJi4rRh5jVEEgRm5kJBs9ZLSY
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: string
                              examples:
                                - 8 Bd de Bercy, 75012 Paris, France
                              description: The formatted address of the place.
                            lng:
                              type: number
                              examples:
                                - 2.3784703
                            lat:
                              type: number
                              examples:
                                - 48.8386038
                            averageGrade:
                              type:
                                - number
                                - 'null'
                              examples:
                                - 4.4
                            totalGrades:
                              type:
                                - number
                                - 'null'
                              examples:
                                - 33620
                            street:
                              type:
                                - string
                                - 'null'
                              examples:
                                - 8 Boulevard de Bercy
                            city:
                              type:
                                - string
                                - 'null'
                              examples:
                                - Paris
                            postalCode:
                              type:
                                - string
                                - 'null'
                              examples:
                                - 75012
                            country:
                              type:
                                - string
                                - 'null'
                              examples:
                                - FR
                            photoRef:
                              type:
                                - string
                                - 'null'
                              examples:
                                - >-
                                  AdDdOWrRr05l5ZtHh9p6qgAy72UgUAMVDWqI0sRbmbZ8hBWaQH8iVJy0iUz98D6MSGinOIcbvJE_92-N1spK4faWYi99crxOgPMgdF2Ua2XD6Wpg-Abka_7OCnATrn68OqbouJP6Lq5AhkKsCpOQwtizL0RgcTrT0W5M3Ib7S0YLY9hSXp4S
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                            website:
                              type:
                                - string
                                - 'null'
                              examples:
                                - https://www.accorarena.com/fr
                            editorialSummary:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                            periods:
                              type:
                                - array
                                - 'null'
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                              items:
                                type: object
                                properties:
                                  open:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                        examples:
                                          - 0
                                      time:
                                        type: string
                                        examples:
                                          - '0900'
                                  close:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                        examples:
                                          - 0
                                      time:
                                        type: string
                                        examples:
                                          - 1800
                        place:
                          description: >-
                            Represents the original place information as
                            provided by ticketing partners.
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 10
                            googleId:
                              type: string
                              description: >-
                                The unique identifier of the place in the Google
                                Places API.
                              examples:
                                - ChIJ9dfFtXYmVQ0RXL6FkWtY8lA
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: object
                              properties:
                                lng:
                                  type: number
                                  examples:
                                    - 2.123909
                                lat:
                                  type: number
                                  examples:
                                    - 42.32981038
                                street:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Rue Saint-Jacques
                                city:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Paris
                                postalCode:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - 75005
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - France
                            image:
                              type:
                                - string
                                - 'null'
                            squareImage:
                              type:
                                - string
                                - 'null'
                            rectangleImage:
                              type:
                                - string
                                - 'null'
                            averageGrade:
                              description: >-
                                Deprecated, look at the ‘averageGrade’ of
                                ‘googlePlace’.
                              type:
                                - number
                                - 'null'
                            totalGrades:
                              description: >-
                                Deprecated, look at the ‘totalGrades’ of
                                ‘googlePlace’.
                              type:
                                - number
                                - 'null'
                        sources:
                          descritpion: >-
                            It's all the informations and ticket sources for the
                            event (ex. Fnac, Ticketmaster, BilletReduc, etc.)
                          type: array
                          items:
                            type: object
                            description: >-
                              This is one of the sources of information about
                              the event
                            properties:
                              id:
                                type: integer
                                format: int64
                                examples:
                                  - 45
                              partner:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    examples:
                                      - fnac
                                  logo:
                                    type: string
                                  backColor:
                                    type: string
                              startDate:
                                type: string
                              endDate:
                                type: string
                              lowestPrice:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The lowest price for the event in euros. If
                                  it's null, we don't know the price
                                examples:
                                  - 0
                              highestPrice:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The highest price for the event in euros. If
                                  it's null, we don't know the price
                                examples:
                                  - 200
                              isGoodDeal:
                                description: >-
                                  This attribute is a boolean which is set to
                                  ‘true’ when a good deal on this event source
                                  is identified during integration (discount,
                                  early bird ticket, preferential rate, etc.).
                                type: boolean
                              commissionFix:
                                description: >-
                                  Deprecated, use "commissionPerTicket" and
                                  "commissionPerCart" instead.
                                type: number
                                examples:
                                  - 1
                              commissionPerTicket:
                                type: number
                                examples:
                                  - 1
                              commissionPerCart:
                                type: number
                                examples:
                                  - 1
                              commissionRate:
                                type: number
                                examples:
                                  - 0.05
                              link:
                                type: string
                                description: The affiliate link to buy tickets.
                              isBookable:
                                type: boolean
                              availableDates:
                                description: >-
                                  This corresponds to all the dates available
                                  for this event and for this particular source.
                                type: array
                                items:
                                  type: object
                                  properties:
                                    startDate:
                                      type: string
                                    endDate:
                                      type: string
                                    hasEndDateNotReliable:
                                      type: boolean
                                    hasUnknownAvailability:
                                      type: boolean
                              averageGrade:
                                type:
                                  - number
                                  - 'null'
                                examples:
                                  - 5
                              totalGrades:
                                type: number
                                examples:
                                  - 1
                              cantRetrieveAvailableDates:
                                description: >-
                                  For some events, ‘availableDates’ is
                                  incomplete, and to indicate that information
                                  about the event's availability is missing, we
                                  set 'cantRetrieveAvailableDates' to true.
                                type: boolean
                              notAvailableAt:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  This is the date on which the event became
                                  unavailable. Either because all the places
                                  have been sold or because there is no more
                                  availability.
                        categories:
                          description: >-
                            It's an array of all the categories of the event.
                            Some of these objects are ‘sub-categories’ and
                            others are 'main categories'. For a main category,
                            'subCategory' is null, while for a sub-category,
                            ‘subCategory’ is not null and ‘mainCategory’ has the
                            same value as the main category.
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                                format: int64
                                examples:
                                  - 1
                              mainCategory:
                                type: string
                                examples:
                                  - expo
                              subCategory:
                                description: >-
                                  If it's null, it's a main category, otherwise
                                  it's a sub-category of the main category.
                                type:
                                  - string
                                  - 'null'
                                examples:
                                  - painting
                              traductionFR:
                                type: string
                                examples:
                                  - peinture
                              traductionEN:
                                type: string
                                examples:
                                  - painting
                              icon:
                                type: string
                        commentaries:
                          description: >-
                            During integration, we retrieve all the
                            comments/grades made about the event.
                          type: array
                          items:
                            type: object
                            properties:
                              grade:
                                type: number
                                examples:
                                  - 5
                              content:
                                type:
                                  - string
                                  - 'null'
                                examples:
                                  - Amazing concert !
                              username:
                                type: string
                                examples:
                                  - Wander bot
                              date:
                                type: string
                        averageGrade:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. ‘AverageGrade’
                            is simply the average of these ratings.
                          type:
                            - number
                            - 'null'
                          examples:
                            - 5
                        totalGrades:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. 'totalGrades'
                            is simply the number of these ratings.
                          type: number
                          examples:
                            - 1
                        trendingScore:
                          type: number
                          examples:
                            - 10
                        performers:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                format: int64
                                examples:
                                  - 45
                              name:
                                type: string
                                examples:
                                  - PLK
                              description:
                                type:
                                  - string
                                  - 'null'
                              image:
                                type:
                                  - string
                                  - 'null'
                              webImage:
                                type:
                                  - string
                                  - 'null'
            application/xml:
              schema:
                description: Performer object
                type: object
                properties:
                  id:
                    type: integer
                    format: int64
                    examples:
                      - 300000
                  name:
                    type: string
                    examples:
                      - PLK
                  image:
                    type:
                      - string
                      - 'null'
                  squareImage:
                    type:
                      - string
                      - 'null'
                  rectangleImage:
                    type:
                      - string
                      - 'null'
                  webImage:
                    type:
                      - string
                      - 'null'
                  events:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        wanderId:
                          type: integer
                          format: int64
                          examples:
                            - 100000
                        wanderLink:
                          type: string
                          examples:
                            - >-
                              https://wander-app.fr/event/100000-plk-en-concert-accor-arena
                          description: Link to the event in the Wander app
                        name:
                          type: string
                          examples:
                            - PLK en concert
                        startDate:
                          type: string
                          examples:
                            - 2024-03-03 06:08:23.222 +0100
                        endDate:
                          type: string
                          examples:
                            - 2024-03-04 06:08:23.222 +0100
                        hasEndDateNotReliable:
                          type: boolean
                        lowestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The lowest price for the event in euros. If it's
                            null, we don't know the price.
                          examples:
                            - 0
                        highestPrice:
                          type:
                            - number
                            - 'null'
                          description: >-
                            The highest price for the event in euros. If it's
                            null, we don't know the price.
                          examples:
                            - 200
                        description:
                          type: string
                          examples:
                            - Un super concert de PLK à l'accor arena !
                        hasGoodDeal:
                          description: >-
                            This attribute is a boolean which is set to ‘true’
                            when a good deal on the event is identified during
                            integration (discount, early bird ticket,
                            preferential rate, etc.). One of the sources has
                            'isGoodDeal' set to true.
                          type: boolean
                        image:
                          type:
                            - string
                            - 'null'
                        imageHeight:
                          type:
                            - number
                            - 'null'
                        imageWidth:
                          type:
                            - number
                            - 'null'
                        squareImage:
                          type:
                            - string
                            - 'null'
                        rectangleImage:
                          type:
                            - string
                            - 'null'
                        webImage:
                          description: This is the image compressed.
                          type:
                            - string
                            - 'null'
                        notAvailableAt:
                          type:
                            - string
                            - 'null'
                          description: >-
                            This is the date on which the event became
                            unavailable. Either because all the places have been
                            sold or because there is no more availability.
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        cancelledAt:
                          type:
                            - string
                            - 'null'
                          description: This is the date on which the event was cancelled.
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        createdAt:
                          type: string
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        updatedAt:
                          type: string
                          examples:
                            - '2024-09-12T12:00:06.138Z'
                        googlePlace:
                          description: >-
                            Contains enriched place information retrieved from
                            the Google Places API.
                          type:
                            - object
                            - 'null'
                          properties:
                            id:
                              type: string
                              examples:
                                - ChIJi4rRh5jVEEgRm5kJBs9ZLSY
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: string
                              examples:
                                - 8 Bd de Bercy, 75012 Paris, France
                              description: The formatted address of the place.
                            lng:
                              type: number
                              examples:
                                - 2.3784703
                            lat:
                              type: number
                              examples:
                                - 48.8386038
                            averageGrade:
                              type:
                                - number
                                - 'null'
                              examples:
                                - 4.4
                            totalGrades:
                              type:
                                - number
                                - 'null'
                              examples:
                                - 33620
                            street:
                              type:
                                - string
                                - 'null'
                              examples:
                                - 8 Boulevard de Bercy
                            city:
                              type:
                                - string
                                - 'null'
                              examples:
                                - Paris
                            postalCode:
                              type:
                                - string
                                - 'null'
                              examples:
                                - 75012
                            country:
                              type:
                                - string
                                - 'null'
                              examples:
                                - FR
                            photoRef:
                              type:
                                - string
                                - 'null'
                              examples:
                                - >-
                                  AdDdOWrRr05l5ZtHh9p6qgAy72UgUAMVDWqI0sRbmbZ8hBWaQH8iVJy0iUz98D6MSGinOIcbvJE_92-N1spK4faWYi99crxOgPMgdF2Ua2XD6Wpg-Abka_7OCnATrn68OqbouJP6Lq5AhkKsCpOQwtizL0RgcTrT0W5M3Ib7S0YLY9hSXp4S
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                            website:
                              type:
                                - string
                                - 'null'
                              examples:
                                - https://www.accorarena.com/fr
                            editorialSummary:
                              type:
                                - string
                                - 'null'
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                            periods:
                              type:
                                - array
                                - 'null'
                              description: >-
                                Description on
                                https://developers.google.com/maps/documentation/places/web-service/details
                              items:
                                type: object
                                properties:
                                  open:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                        examples:
                                          - 0
                                      time:
                                        type: string
                                        examples:
                                          - '0900'
                                  close:
                                    type: object
                                    properties:
                                      day:
                                        type: number
                                        examples:
                                          - 0
                                      time:
                                        type: string
                                        examples:
                                          - 1800
                        place:
                          description: >-
                            Represents the original place information as
                            provided by ticketing partners.
                          type: object
                          properties:
                            id:
                              type: integer
                              format: int64
                              examples:
                                - 10
                            googleId:
                              type: string
                              description: >-
                                The unique identifier of the place in the Google
                                Places API.
                              examples:
                                - ChIJ9dfFtXYmVQ0RXL6FkWtY8lA
                            name:
                              type: string
                              examples:
                                - Accor Arena
                            address:
                              type: object
                              properties:
                                lng:
                                  type: number
                                  examples:
                                    - 2.123909
                                lat:
                                  type: number
                                  examples:
                                    - 42.32981038
                                street:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Rue Saint-Jacques
                                city:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - Paris
                                postalCode:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - 75005
                                country:
                                  type:
                                    - string
                                    - 'null'
                                  examples:
                                    - France
                            image:
                              type:
                                - string
                                - 'null'
                            squareImage:
                              type:
                                - string
                                - 'null'
                            rectangleImage:
                              type:
                                - string
                                - 'null'
                            averageGrade:
                              description: >-
                                Deprecated, look at the ‘averageGrade’ of
                                ‘googlePlace’.
                              type:
                                - number
                                - 'null'
                            totalGrades:
                              description: >-
                                Deprecated, look at the ‘totalGrades’ of
                                ‘googlePlace’.
                              type:
                                - number
                                - 'null'
                        sources:
                          descritpion: >-
                            It's all the informations and ticket sources for the
                            event (ex. Fnac, Ticketmaster, BilletReduc, etc.)
                          type: array
                          items:
                            type: object
                            description: >-
                              This is one of the sources of information about
                              the event
                            properties:
                              id:
                                type: integer
                                format: int64
                                examples:
                                  - 45
                              partner:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    examples:
                                      - fnac
                                  logo:
                                    type: string
                                  backColor:
                                    type: string
                              startDate:
                                type: string
                              endDate:
                                type: string
                              lowestPrice:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The lowest price for the event in euros. If
                                  it's null, we don't know the price
                                examples:
                                  - 0
                              highestPrice:
                                type:
                                  - number
                                  - 'null'
                                description: >-
                                  The highest price for the event in euros. If
                                  it's null, we don't know the price
                                examples:
                                  - 200
                              isGoodDeal:
                                description: >-
                                  This attribute is a boolean which is set to
                                  ‘true’ when a good deal on this event source
                                  is identified during integration (discount,
                                  early bird ticket, preferential rate, etc.).
                                type: boolean
                              commissionFix:
                                description: >-
                                  Deprecated, use "commissionPerTicket" and
                                  "commissionPerCart" instead.
                                type: number
                                examples:
                                  - 1
                              commissionPerTicket:
                                type: number
                                examples:
                                  - 1
                              commissionPerCart:
                                type: number
                                examples:
                                  - 1
                              commissionRate:
                                type: number
                                examples:
                                  - 0.05
                              link:
                                type: string
                                description: The affiliate link to buy tickets.
                              isBookable:
                                type: boolean
                              availableDates:
                                description: >-
                                  This corresponds to all the dates available
                                  for this event and for this particular source.
                                type: array
                                items:
                                  type: object
                                  properties:
                                    startDate:
                                      type: string
                                    endDate:
                                      type: string
                                    hasEndDateNotReliable:
                                      type: boolean
                                    hasUnknownAvailability:
                                      type: boolean
                              averageGrade:
                                type:
                                  - number
                                  - 'null'
                                examples:
                                  - 5
                              totalGrades:
                                type: number
                                examples:
                                  - 1
                              cantRetrieveAvailableDates:
                                description: >-
                                  For some events, ‘availableDates’ is
                                  incomplete, and to indicate that information
                                  about the event's availability is missing, we
                                  set 'cantRetrieveAvailableDates' to true.
                                type: boolean
                              notAvailableAt:
                                type:
                                  - string
                                  - 'null'
                                description: >-
                                  This is the date on which the event became
                                  unavailable. Either because all the places
                                  have been sold or because there is no more
                                  availability.
                        categories:
                          description: >-
                            It's an array of all the categories of the event.
                            Some of these objects are ‘sub-categories’ and
                            others are 'main categories'. For a main category,
                            'subCategory' is null, while for a sub-category,
                            ‘subCategory’ is not null and ‘mainCategory’ has the
                            same value as the main category.
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: number
                                format: int64
                                examples:
                                  - 1
                              mainCategory:
                                type: string
                                examples:
                                  - expo
                              subCategory:
                                description: >-
                                  If it's null, it's a main category, otherwise
                                  it's a sub-category of the main category.
                                type:
                                  - string
                                  - 'null'
                                examples:
                                  - painting
                              traductionFR:
                                type: string
                                examples:
                                  - peinture
                              traductionEN:
                                type: string
                                examples:
                                  - painting
                              icon:
                                type: string
                        commentaries:
                          description: >-
                            During integration, we retrieve all the
                            comments/grades made about the event.
                          type: array
                          items:
                            type: object
                            properties:
                              grade:
                                type: number
                                examples:
                                  - 5
                              content:
                                type:
                                  - string
                                  - 'null'
                                examples:
                                  - Amazing concert !
                              username:
                                type: string
                                examples:
                                  - Wander bot
                              date:
                                type: string
                        averageGrade:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. ‘AverageGrade’
                            is simply the average of these ratings.
                          type:
                            - number
                            - 'null'
                          examples:
                            - 5
                        totalGrades:
                          description: >-
                            During integration, we also retrieve all the
                            comments/grades made about the event. 'totalGrades'
                            is simply the number of these ratings.
                          type: number
                          examples:
                            - 1
                        trendingScore:
                          type: number
                          examples:
                            - 10
                        performers:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                format: int64
                                examples:
                                  - 45
                              name:
                                type: string
                                examples:
                                  - PLK
                              description:
                                type:
                                  - string
                                  - 'null'
                              image:
                                type:
                                  - string
                                  - 'null'
                              webImage:
                                type:
                                  - string
                                  - 'null'
        '400':
          description: Invalid param schema
        '401':
          description: Access token is missing or invalid
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: It is the "access_token" returned after login

````